> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Credential

> Verifies a verifiableCredential and returns a verificationResult in the response body.



## OpenAPI

````yaml /openapi.json post /credentials/verify
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /credentials/verify:
    post:
      tags:
        - Credentials
      summary: Verify Credential
      description: >-
        Verifies a verifiableCredential and returns a verificationResult in the
        response body.
      operationId: verifyCredential
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyCredentialRequest'
      responses:
        '200':
          description: Verifiable Credential successfully verified!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyCredentialResponse'
        '400':
          description: Invalid request
components:
  schemas:
    VerifyCredentialRequest:
      type: object
      properties:
        verifiableCredential:
          $ref: '#/components/schemas/VerifiableCredential'
        options:
          $ref: '#/components/schemas/VerifyOptions'
      required:
        - verifiableCredential
    VerifyCredentialResponse:
      type: object
      properties:
        checks:
          description: The checks performed
          example:
            - proof
          items:
            type: array
          type: array
        warnings:
          description: Warnings
          example: []
          items:
            type: array
          type: array
        errors:
          description: Errors
          example: []
          items:
            type: array
          type: array
      required:
        - checks
        - warnings
        - errors
    VerifiableCredential:
      type: object
      properties:
        '@context':
          description: The JSON-LD context of the credential.
          example:
            - https://www.w3.org/2018/credentials/v1
            - https://www.w3.org/2018/credentials/examples/v1
          type: array
          items:
            type: string
        id:
          type: string
          description: The ID of the credential.
          example: http://example.gov/credentials/3732
        type:
          description: The JSON-LD type of the credential.
          example:
            - VerifiableCredential
            - UniversityDegreeCredential
          type: array
          items:
            type: string
        issuer:
          type: string
          description: The issuer of the credential.
          example: did:example:123
        issuanceDate:
          type: string
          description: The issuance date of the credential.
          example: '2020-03-16T22:37:26.544Z'
        expirationDate:
          type: string
          description: The expiration date of the credential.
          example: '2021-03-16T22:37:26.544Z'
        credentialSubject:
          type: object
          description: The subject of the credential.
          example:
            id: did:example:123
            degree:
              type: BachelorDegree
              name: Bachelor of Science and Arts
        proof:
          $ref: '#/components/schemas/LinkedDataProof'
      required:
        - '@context'
        - id
        - type
        - issuer
        - issuanceDate
        - expirationDate
        - credentialSubject
        - proof
    VerifyOptions:
      type: object
      properties:
        verificationMethod:
          type: string
          description: >-
            The URI of the verificationMethod used for the proof. Default
            assertionMethod URI.
          example: did:example:123#z6MksHh7qHWvybLg5QTPPdG2DgEjjduBDArV9EF9mRiRzMBN
        proofPurpose:
          type: string
          description: The purpose of the proof. Default 'assertionMethod'.
          example: assertionMethod
        created:
          type: string
          description: >-
            The date and time of the proof (with a maximum accuracy in seconds).
            Default current system time.
          example: '2020-04-02T18:48:36Z'
        challenge:
          type: string
          description: >-
            A challenge provided by the requesting party of the proof. For
            example 6e62f66e-67de-11eb-b490-ef3eeefa55f2
          example: d436f0c8-fbd9-4e48-bbb2-55fc5d0920a8
        domain:
          type: string
          description: >-
            The intended domain of validity for the proof. For example
            website.example
          example: example.com
      description: Options for specifying how the LinkedDataProof is created.
    LinkedDataProof:
      type: object
      properties:
        type:
          type: string
        created:
          type: string
        verificationMethod:
          type: string
        proofPurpose:
          type: string
        jws:
          type: string
      required:
        - type
        - created
        - verificationMethod
        - proofPurpose
        - jws

````